[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [fedora-virt] Success with Fedora 10 Xen pv_ops 2.6.29-rc8 dom0



On Tue, Mar 24, 2009 at 07:28:46PM +0000, Daniel P. Berrange wrote:
> On Tue, Mar 24, 2009 at 09:25:02PM +0200, Pasi K?rkk?inen wrote:
> > Hello!
> > 
> > I've used a lot of time trying to get my custom Xen pv_ops dom0 kernel working with
> > virt-install and/or virt-manager on Fedora 10, and now it seems I got things
> > working. 
> > 
> > If you want to play with this you need:
> > 
> > 1) New enough pv_ops dom0 kernel (2.6.29-rc8 or newer) so it has /sys/hypervisor support included
> > 	- Compile with CONFIG_HIGHPTE=n since it seems to be broken still
> > 2) libvirt 0.6.1 and related packages from Fedora 10 updates-testing
> > 
> > In addition to those I'm using Xen 3.3.1-9 packages from rawhide/F11 rebuilt for F10. 
> > 
> > With the older Fedora 10 libvirt packages libvirtd was crashing often for me, and
> > I had some other issues with virt-install console window not opening but stalling etc..
> > 
> > Today I was able to run the following on Fedora 10 32bit PAE pv_ops dom0:
> > 
> > - CentOS 5.3 32bit PAE PV domU
> > - Fedora 10 32bit PAE PV domU 
> > - Use virt-install to install Fedora 10 32bit PAE PV domU (using custom kickstart
> > to force PAE kernel installation to avoid the anaconda BUG which installs
> > wrong non-PAE kernel as a default).
> > 
> > Fedora 11 (rawhide) installation most probably works too. 
> 
> FYI, I've just testing i686 and x86_64  Fedora 11 guest installs on a 
> RHEL5 Xen host and they both work flawlessly out of the box - including
> a  sane mouse pointer running in absolute, so no dual-cursor problems,
> and installing correect PAE kernels
> 

And I just tested installing CentOS 5.3 PV domU with virt-manager on F10 dom0,
and it was successful aswell! 

> > Issues:
> > - virt-manager complains about default network (virbr0) being inactive and
> > asks if I want to start it. If I click Yes, then I get error: "libvirtError: cannot create bridge 'virbr0': File exists"
> 
> Possibly due to old 0.5.x libvirtd having crashed & left the network running.
> Since you've now upgraded to 0.6.1 libvirt, it is capable of noticing that 
> the network is already runniing upon startup. So future crashes will recover
> better.
> 

Yeah, rebooting the box fixed the problem and virt-manager works now. 

Thanks!

-- Pasi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]